Network Security Perimeter Logging Configurations - Get
獲取NSP日誌記錄配置。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkSecurityPerimeters/{networkSecurityPerimeterName}/loggingConfigurations/{loggingConfigurationName}?api-version=2025-03-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
logging
|
path | True |
string maxLength: 80pattern: (^[a-zA-Z0-9]+[a-zA-Z0-9_.-]*[a-zA-Z0-9_]+$)|(^[a-zA-Z0-9]$) |
NSP 記錄組態的名稱。 接受 『instance』 作為名稱。 |
|
network
|
path | True |
string maxLength: 80pattern: (^[a-zA-Z0-9]+[a-zA-Z0-9_.-]*[a-zA-Z0-9_]+$)|(^[a-zA-Z0-9]$) |
網路安全性周邊的名稱。 |
|
resource
|
path | True |
string |
資源群組的名稱。 |
|
subscription
|
path | True |
string |
可唯一識別Microsoft Azure 訂用帳戶的訂用帳戶認證。 訂用帳戶標識碼會形成每個服務呼叫 URI 的一部分。 |
|
api-version
|
query | True |
string |
用戶端 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
OK — 傳回NSP日誌記錄配置。 |
|
| Other Status Codes |
說明作業為何失敗的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
NspLoggingConfigurationGet
範例要求
GET https://management.azure.com/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/loggingConfigurations/instance?api-version=2025-03-01
範例回覆
{
"name": "instance",
"id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/loggingConfigurations/instance",
"type": "Microsoft.Network/networkSecurityPerimeters/loggingConfigurations",
"properties": {
"enabledLogCategories": [
"NspPublicInboundPerimeterRulesDenied",
"NspPublicOutboundPerimeterRulesDenied"
],
"version": "0"
},
"systemData": {
"createdBy": "user",
"createdByType": "User",
"createdAt": "2024-02-07T18:07:36.3446713Z",
"lastModifiedBy": "user",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-02-07T18:07:36.3446713Z"
}
}
定義
| 名稱 | Description |
|---|---|
|
Cloud |
來自服務的錯誤回應。 |
|
Cloud |
來自服務的錯誤回應。 |
|
created |
建立資源的身分識別類型。 |
|
Nsp |
NSP 紀錄記錄配置 |
|
system |
與建立和上次修改資源相關的元數據。 |
CloudError
來自服務的錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
雲端錯誤內文。 |
CloudErrorBody
來自服務的錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤的識別碼。 程序代碼是不變的,而且是要以程序設計方式取用。 |
| details |
有關錯誤的其他詳細資料清單。 |
|
| message |
string |
描述錯誤的訊息,適用於在使用者介面中顯示。 |
| target |
string |
特定錯誤的目標。 例如,錯誤中的屬性名稱。 |
createdByType
建立資源的身分識別類型。
| 值 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
NspLoggingConfiguration
NSP 紀錄記錄配置
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string (arm-id) |
資源的完整資源標識碼。 例如 “/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| name |
string |
資源的名稱 |
| properties.enabledLogCategories |
string[] |
在 NSP 記錄組態中啟用的記錄類別。 |
| properties.version |
string |
NSP 記錄設定的版本。 |
| systemData |
包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。 |
|
| type |
string |
資源的類型。 例如“Microsoft.Compute/virtualMachines” 或 “Microsoft.Storage/storageAccounts” |
systemData
與建立和上次修改資源相關的元數據。
| 名稱 | 類型 | Description |
|---|---|---|
| createdAt |
string (date-time) |
資源建立的時間戳(UTC)。 |
| createdBy |
string |
建立資源的身分識別。 |
| createdByType |
建立資源的身分識別類型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的資源時間戳 (UTC) |
| lastModifiedBy |
string |
上次修改資源的身分識別。 |
| lastModifiedByType |
上次修改資源的身分識別類型。 |